package tls

  1. Overview
  2. No Docs

Description

A clean-slate TLS implementation, with support for protocol versions 1.0-1.2. Includes the core library, as well as Lwt and MirageOS frontends.

Tags

org:mirage

Published: 02 Jul 2015

Dependencies (9)

  1. ocamlbuild build
  2. camlp4
  3. x509 >= "0.4.0" & < "0.5.0"
  4. nocrypto >= "0.5.0"
  5. sexplib < "113.01.00"
  6. type_conv
  7. cstruct >= "1.6.0" & < "2.0.0"
  8. ocamlfind
  9. ocaml >= "4.01.0" & < "4.12.0"

Dev Dependencies (1)

  1. ounit with-test

Used by (37)

  1. aws-s3-lwt < "3.0.0"
  2. azure-cosmos-db >= "0.1.5" & < "0.2.0"
  3. calculon < "0.5"
  4. caqti >= "2.1.1"
  5. caqti-mirage >= "2.1.1"
  6. caqti-tls
  7. colombe < "0.2.0"
  8. comby < "1.7.0"
  9. conduit-tls
  10. current_github < "0.2"
  11. current_slack < "0.3"
  12. datakit-ci < "0.12.1"
  13. dns-resolver >= "6.0.0"
  14. dropbox >= "0.2"
  15. git >= "2.0.0" & < "3.0.0"
  16. git-mirage >= "2.0.0" & < "3.0.0" | >= "3.6.0"
  17. git-unix = "2.0.0" | >= "2.1.1" & < "3.0.0"
  18. github >= "2.0.0" & < "3.0.0"
  19. github-unix < "3.1.0"
  20. imaplet-lwt >= "0.1.8" & < "0.1.10" | >= "0.1.14"
  21. irc-client-tls < "0.7.1"
  22. letters < "0.3.3"
  23. links >= "0.9.6"
  24. mehari-mirage < "0.2"
  25. mirage-conduit = "2.1.0"
  26. mirror
  27. opam-publish >= "0.3.5" & < "2.1.0"
  28. paf-cohttp = "0.0.5"
  29. quests
  30. sendmail >= "0.2.0" & < "0.4.1"
  31. sendmail-lwt < "0.4.1"
  32. slacko >= "0.13.0"
  33. syndic >= "1.5" & < "1.6.0"
  34. tezos-node < "9.0"
  35. tls-liquidsoap
  36. tlstunnel >= "0.1.1" & < "0.2.0"
  37. wcs-api = "2017-05-26.02"

Conflicts (5)

  1. mirage-net-xen < "1.3.0"
  2. mirage-types-lwt >= "3.0.0"
  3. mirage-types-lwt < "2.3.0"
  4. lwt >= "4.0.0"
  5. lwt < "2.4.8"
OCaml

Innovation. Community. Security.